Page MenuHomePhabricator

Add Baha as a deployer for Recommendation API
Closed, ResolvedPublic

Description

@bmansurov is now the owner and maintainer of the Recommendation API service. As such, he needs to be able to deploy and restart the service on SCB.

Note: the original deployment task is T167664: New Service Request: recommendation-api, however, Nathaniel is no longer a WMF employee.

Shell Username: bmansurov (shell already exists)

  • - User has signed the L3 Acknowledgement of Wikimedia Server Access Responsibilities Document.
  • - User has a valid NDA on file with WMF legal. (This can be checked by Operations via the NDA tracking sheet & is included in all WMF Staff/Contractor hiring.)
  • - User has provided the following: wikitech username, preferred shell username, email address, and full reasoning for access (including what commands and/or tasks they expect to perform.
  • - User has provided a public SSH key. This ssh key pair should only be used for WMF cluster access, and not share with any other service (this includes not sharing with WMCS access, no shared keys.)
  • - access request (or expansion) has sign off of WMF sponsor/manager (sponsor for volunteers, manager for wmf staff)
  • - sudo requests: all sudo requests require explicit approval during the weekly operations team meeting. No sudo requests will be approved outside of those meetings without the direct override of the Director of Operations.
  • - Patchset for access request

Event Timeline

mobrovac triaged this task as Medium priority.Jan 4 2019, 3:42 PM
mobrovac created this task.
Restricted Application added a project: Operations. · View Herald TranscriptJan 4 2019, 3:42 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

@DarTar as Baha's manager, please review and approve this request.

mobrovac updated the task description. (Show Details)

Change 482312 had a related patch set uploaded (by Mobrovac; owner: Mobrovac):
[operations/puppet@production] Add bmansunov to deploy-service and recommendation-admin groups

https://gerrit.wikimedia.org/r/482312

herron updated the task description. (Show Details)Jan 7 2019, 3:08 PM
mobrovac updated the task description. (Show Details)Jan 7 2019, 4:43 PM
bmansurov added a subscriber: leila.Jan 8 2019, 4:47 PM

@mobrovac @DarTar is on vacation. @leila is a stand-in manager. Would her approval be good?

@mobrovac @DarTar is on vacation. @leila is a stand-in manager. Would her approval be good?

Yup, that will work. @leila please review and approve.

leila added a comment.Jan 8 2019, 4:55 PM

approved.

mobrovac updated the task description. (Show Details)Jan 8 2019, 4:57 PM
mobrovac added a subscriber: herron.

@herron manager approval received. Has the request been discussed during the SRE weekly meeting?

herron added a comment.Jan 8 2019, 5:49 PM

@herron manager approval received. Has the request been discussed during the SRE weekly meeting?

Not afaik, since it was awaiting manager approval at the time of the meeting. It will be reviewed at the next weekly SRE meeting on Monday Jan 14th, but if urgent we have the option to escalate to an SRE director for approval.

Change 482312 merged by CDanis:
[operations/puppet@production] Add bmansunov to deploy-service and recommendation-admin groups

https://gerrit.wikimedia.org/r/482312

CDanis closed this task as Resolved.Jan 14 2019, 8:54 PM
CDanis updated the task description. (Show Details)
bmansurov moved this task from Backlog to Done on the Recommendation-API board.